legesmotus(6)

NAME

legesmotus - A team-based, networked, 2D shooter set in zero-gravity

SYNTAX

legesmotus [-f] [-n name] [-w width] [-h height]
Only the most useful options are listed here; see below for the remainder.

DESCRIPTION

Leges Motus is a networked, team-based, 2D shooter set in zero-gravity. Using only the force from jumping off of walls and the recoil from their guns, players must travel across the arena to lower their opponent's gate.

OPTIONS

-f  Run the game in fullscreen.

-n <name>
    Sets your player name to <name> (defaults to your username).

-w <width>
    Sets the width of the game window to <width>.

-h <height>
    Sets the height of the game window to <height>.

-s <hostname>
    Immediately connect to the server on <hostname>.

-t red|blue
    Join the given team (only makes sense if you specify -s too).

-p <portno>
    Connect to the server running on port <portno> (only makes sense if you specify -s too).

-?, --help
    Output help information and exit.

--version
    Output version information and exit.

CONTROLS

space
    Jump in direction of mouse pointer.

left click
    Fire in direction of mouse pointer.

t   Open chat.

y   Open team chat.

~   Open chat log.

ESC Return to the main menu / close chat console.

tab Show the scoreboard.

COMMANDS

These commands are entered in the client's chat bar (press t or ~ to show):

/tchat <message>
    Send <message> privately to your teammates (you may also use the y control to open a dedicated team chat bar).

/name <name>
    Change your player name to <name>.

/team red|blue
    Change to the specified team.

/quit
    Quit the game.

/server <command>
    Send <command> to the server (see lmserver(6) for a list of commands supported by the server).

/legal
    Display legal information (copyright and warranty).

<name>: <message>
    Send <message> privately to the player named <name>.

GAMEPLAY

The objective of the game is to reach the opposing team's gate and stay next to it until it opens fully.

Shoot enemy players to freeze them. They will un-freeze a number of seconds after they are frozen.

You can move by jumping off of any obstacle, and you will jump in the direction of the mouse pointer. You will also move due to the recoil from firing your gun. When frozen, you will bounce off of obstacles. If you unfreeze away from obstacles, shoot your weapon to move back towards the nearest obstacle.

FILES

$LM_DATA_DIR/fonts
$LM_DATA_DIR/maps
$LM_DATA_DIR/sounds
$LM_DATA_DIR/sprites
$HOME/.legesmotusrc
/etc/legesmotusrc

ENVIRONMENT VARIABLES

LM_DATA_DIR
    Specifies the location of the directory containing Leges Motus data files.

LM_METASERVER
    Specifies the address to use for connecting to the meta server (which allows the Internet-wide server browser to work). This is useful only for testing alternative meta servers, and should not be used generally.

EXAMPLES

To just run the game:

legesmotus

To run the game in fullscreen:

legesmotus -f

To connect to the server on example.com, port 1234, on the blue team:

legesmotus -s example.com -p 1234 -t blue

To set your name from within the game:

/name Andromedus

To send a message to your team:

/tchat Cover me, I'm going for the gate!

AUTHORS

Andrew Ayer <agwadude@users.sourceforge.net>
Nathan Partlan <greywhind@users.sourceforge.net>
Jeffrey Pfau <archaemic@users.sourceforge.net>

COPYRIGHT

Copyright 2009 Andrew Ayer, Nathan Partlan, Jeffrey Pfau

Leges Motus is free and open source software. You may redistribute it and/or modify it under the terms of version 2, or (at your option) version 3, of the GNU General Public License (GPL), as published by the Free Software Foundation.

Leges Motus is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the full text of the GNU General Public License for further detail.

For a full copy of the GNU General Public License, please see the COPYING file in the root of the source code tree. You may also retrieve a copy from <http://www.gnu.org/licenses/gpl-2.0.txt>, or request a copy by writing to the Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA

BUGS

Nothing major known at this time.

SEE ALSO

lmserver(6)